From 837eefee5e73d94c793be1ff8181b2f6b0ced582 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 00:24:00 +0000
Subject: [PATCH 1993/2232] Simplify to_c_error by using NonNull inline


---

diff --git a/src/result.rs b/src/result.rs
index ecc3a41..f41639a 100644
--- a/src/result.rs
+++ b/src/result.rs
@@ -41,14 +41,11 @@ unsafe fn to_c_error(msg: String) -> Result {
 
     extern "C" {
         #[link_name = "cxxbridge1$error"]
-        fn error(ptr: *const u8, len: usize) -> *const u8;
+        fn error(ptr: *const u8, len: usize) -> NonNull<u8>;
     }
 
     let copy = error(ptr, len);
-    let err = PtrLen {
-        ptr: NonNull::new_unchecked(copy as *mut u8),
-        len,
-    };
+    let err = PtrLen { ptr: copy, len };
     Result { err }
 }
 

